## djoser 0.4.0

=== requirements.txt ===
Django>=1.5
djangorestframework>=3.0.0

=== debian/changelog ===
djoser (0.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Disable pybuild test runs.

 -- Michael Fladischer <fladi@debian.org>  Mon, 12 Oct 2015 18:08:44 +0200

djoser (0.3.2-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Tue, 29 Sep 2015 17:09:01 +0200

djoser (0.3.1-1) unstable; urgency=low

  * Initial release (Closes: #794839).

 -- Michael Fladischer <fladi@debian.org>  Tue, 08 Sep 2015 09:52:19 +0200

=== debian/control ===
Source: djoser
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-django (>= 1.5),
               python-djangorestframework (>= 3),
               python-setuptools,
               python3-all,
               python3-django,
               python3-djangorestframework (>= 3),
               python3-setuptools
Standards-Version: 3.9.6
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.4
Homepage: https://github.com/sunscrapers/djoser
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/djoser.git
Vcs-Git: git://anonscm.debian.org/python-modules/packages/djoser.git

Package: python-djoser
Architecture: all
Depends: python-django (>= 1.5),
         python-djangorestframework (>= 3),
         ${misc:Depends},
         ${python:Depends}
Description: REST implementation of Django authentication system
 Djoser library provides a set of Django Rest Framework views to handle basic
 actions such as registration, login, logout, password reset and account
 activation. It works with custom user model.
 .
 Instead of reusing Django code (e.g. PasswordResetForm), it reimplementes a few
 things to fit better into a Single Page App architecture.
 .
 Supported authentication backends are:
  * HTTP Basic Auth (Default)
  * Token based authentication from Django Rest Framework

Package: python3-djoser
Architecture: all
Depends: python3-django,
         python3-djangorestframework (>= 3),
         ${misc:Depends},
         ${python3:Depends}
Description: REST implementation of Django authentication system (Python3 version)
 Djoser library provides a set of Django Rest Framework views to handle basic
 actions such as registration, login, logout, password reset and account
 activation. It works with custom user model.
 .
 Instead of reusing Django code (e.g. PasswordResetForm), it reimplementes a few
 things to fit better into a Single Page App architecture.
 .
 Supported authentication backends are:
  * HTTP Basic Auth (Default)
  * Token based authentication from Django Rest Framework
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=djoser
export PYBUILD_DISABLE=test

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## djoser 0.5.0

=== debian/changelog ===
djoser (0.5.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.8.
  * Bump minimum Django version to 1.7.
  * Bump minimum Python version to 2.7.

 -- Michael Fladischer <fladi@debian.org>  Fri, 17 Jun 2016 12:44:33 +0200

djoser (0.4.3-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Fixed VCS URL

  [ Michael Fladischer ]
  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Fri, 01 Apr 2016 21:20:04 +0200

djoser (0.4.2-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.7.
  * Use https in Vcs-Git field.
  * Clean up egg-info files to allow two builds in a row.

 -- Michael Fladischer <fladi@debian.org>  Thu, 25 Feb 2016 09:04:21 +0100

=== debian/control ===
--- 
+++ 
@@ -6,23 +6,23 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                python-all,
-               python-django (>= 1.5),
+               python-django (>= 1.7),
                python-djangorestframework (>= 3),
                python-setuptools,
                python3-all,
                python3-django,
                python3-djangorestframework (>= 3),
                python3-setuptools
-Standards-Version: 3.9.6
-X-Python-Version: >= 2.6
+Standards-Version: 3.9.8
+X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.4
 Homepage: https://github.com/sunscrapers/djoser
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/djoser.git
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/djoser.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/djoser.git
 
 Package: python-djoser
 Architecture: all
-Depends: python-django (>= 1.5),
+Depends: python-django (>= 1.7),
          python-djangorestframework (>= 3),
          ${misc:Depends},
          ${python:Depends}

## djoser 0.5.2

=== requirements.txt ===
Django>=1.7
djangorestframework>=3.0.0

=== debian/changelog ===
djoser (0.5.2-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Mon, 09 Jan 2017 11:51:12 +0100

djoser (0.5.1-1) unstable; urgency=low

  * New upstream release.
  * Add missing python{,3}-pypandoc to Build-Depends.
  * Use https:// for copyright-format 1.0 URL.

 -- Michael Fladischer <fladi@debian.org>  Tue, 06 Sep 2016 09:52:23 +0200

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,12 @@
                python-all,
                python-django (>= 1.7),
                python-djangorestframework (>= 3),
+               python-pypandoc,
                python-setuptools,
                python3-all,
                python3-django,
                python3-djangorestframework (>= 3),
+               python3-pypandoc,
                python3-setuptools
 Standards-Version: 3.9.8
 X-Python-Version: >= 2.7

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/djoser/djoser-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## djoser 0.6.0

=== requirements.txt ===
-e .
djet==0.2.1
coverage==4.3.1

=== debian/changelog ===
djoser (0.6.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 4.0.0.

 -- Michael Fladischer <fladi@debian.org>  Tue, 20 Jun 2017 20:44:32 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                python3-djangorestframework (>= 3),
                python3-pypandoc,
                python3-setuptools
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.4
 Homepage: https://github.com/sunscrapers/djoser

## djoser 1.1.5

=== requirements.txt ===
-e .
django-templated-mail==1.0.0
djangorestframework-jwt==1.11.0
djet==0.2.1
social-auth-app-django==2.0.0
coverage==4.3.1

pytest==3.1.3
pytest-cov==2.5.1
pytest-django==3.1.2
flake8==3.4.1

=== debian/changelog ===
djoser (1.1.5-1) unstable; urgency=low

  * New upstream release.
  * Always use pristine-tar.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Bump debhelper compatibility and version to 11.
  * Bump Standards-Version to 4.1.3.
  * Fix name of README.rst (formerly README.md).

 -- Michael Fladischer <fladi@debian.org>  Mon, 08 Jan 2018 16:02:20 +0100

djoser (0.7.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 4.1.0.

 -- Michael Fladischer <fladi@debian.org>  Tue, 12 Sep 2017 19:13:41 +0200

=== debian/control ===
Source: djoser
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper (>= 11),
 dh-python,
 python-all,
 python-django (>= 1.7),
 python-djangorestframework (>= 3),
 python-pypandoc,
 python-setuptools,
 python3-all,
 python3-django,
 python3-djangorestframework (>= 3),
 python3-pypandoc,
 python3-setuptools,
Standards-Version: 4.1.3
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Homepage: https://github.com/sunscrapers/djoser
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/djoser.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/djoser.git

Package: python-djoser
Architecture: all
Depends:
 python-django (>= 1.7),
 python-djangorestframework (>= 3),
 ${misc:Depends},
 ${python:Depends},
Description: REST implementation of Django authentication system
 Djoser library provides a set of Django Rest Framework views to handle basic
 actions such as registration, login, logout, password reset and account
 activation. It works with custom user model.
 .
 Instead of reusing Django code (e.g. PasswordResetForm), it reimplementes a few
 things to fit better into a Single Page App architecture.
 .
 Supported authentication backends are:
  * HTTP Basic Auth (Default)
  * Token based authentication from Django Rest Framework

Package: python3-djoser
Architecture: all
Depends:
 python3-django,
 python3-djangorestframework (>= 3),
 ${misc:Depends},
 ${python3:Depends},
Description: REST implementation of Django authentication system (Python3 version)
 Djoser library provides a set of Django Rest Framework views to handle basic
 actions such as registration, login, logout, password reset and account
 activation. It works with custom user model.
 .
 Instead of reusing Django code (e.g. PasswordResetForm), it reimplementes a few
 things to fit better into a Single Page App architecture.
 .
 Supported authentication backends are:
  * HTTP Basic Auth (Default)
  * Token based authentication from Django Rest Framework
 .
 This package contains the Python 3 version of the library.

## djoser 1.2.1

=== requirements.txt ===
-e .
django-templated-mail==1.0.0
djangorestframework-jwt==1.11.0
djet==0.2.1
social-auth-app-django==2.1.0
coverage==4.4.1

pytest==3.6.2
pytest-cov==2.5.1
pytest-django==3.3.2
pytest-pythonpath==0.7.2
flake8==3.5.0

=== debian/changelog ===
djoser (1.2.1-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Michael Fladischer ]
  * New upstream release.
  * Bump Standards-Version to 4.2.1.
  * Enable autopkgtest-pkg-python testsuite.

 -- Michael Fladischer <fladi@debian.org>  Wed, 29 Aug 2018 12:46:36 +0200

## djoser 1.3.0

=== requirements.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
 djet==0.2.1
 social-auth-app-django==2.1.0
 coverage==4.4.1
+coreapi==2.3.3
 
 pytest==3.6.2
 pytest-cov==2.5.1

=== debian/changelog ===
djoser (1.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Sun, 23 Sep 2018 17:18:48 +0200

=== debian/control ===
--- 
+++ 
@@ -17,12 +17,11 @@
  python3-djangorestframework (>= 3),
  python3-pypandoc,
  python3-setuptools,
-Standards-Version: 4.1.3
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.4
+Standards-Version: 4.2.1
 Homepage: https://github.com/sunscrapers/djoser
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/djoser.git
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/djoser.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/djoser
+Vcs-Git: https://salsa.debian.org/python-team/modules/djoser.git
+Testsuite: autopkgtest-pkg-python
 
 Package: python-djoser
 Architecture: all

## djoser 1.3.1

=== requirements.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 -e .
 django-templated-mail==1.0.0
 djangorestframework-jwt==1.11.0
-djet==0.2.1
+djet==0.2.2
 social-auth-app-django==2.1.0
 coverage==4.4.1
 coreapi==2.3.3

=== debian/changelog ===
djoser (1.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Sat, 27 Oct 2018 19:06:27 +0200

## djoser 1.3.2

=== debian/changelog ===
djoser (1.3.2-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Tue, 18 Dec 2018 09:45:03 +0100

## djoser 1.4.0

=== requirements.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 -e .
 django-templated-mail==1.0.0
-djangorestframework-jwt==1.11.0
+djangorestframework-simplejwt==3.2.3
 djet==0.2.2
 social-auth-app-django==2.1.0
 coverage==4.4.1

=== debian/changelog ===
djoser (1.4.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 4.3.0.
  * Bump debhelper compatibility and version to 12.

 -- Michael Fladischer <fladi@debian.org>  Mon, 21 Jan 2019 21:40:57 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper (>= 12),
  dh-python,
  python-all,
  python-django (>= 1.7),
@@ -17,7 +17,7 @@
  python3-djangorestframework (>= 3),
  python3-pypandoc,
  python3-setuptools,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/sunscrapers/djoser
 Vcs-Browser: https://salsa.debian.org/python-team/modules/djoser
 Vcs-Git: https://salsa.debian.org/python-team/modules/djoser.git

## djoser 2.0.1

=== debian/changelog ===
djoser (2.0.1-2) unstable; urgency=medium

  * Team upload.
  * Reupload without binaries to allow migration.

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 07 Aug 2019 01:19:57 +0500

djoser (2.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Mon, 29 Jul 2019 20:13:26 +0200

djoser (1.7.0-1) unstable; urgency=low

  * New upstream release.
  * Switch to debhelper-compat.
  * Bump Standards-Version to 4.4.0.
  * Remove Python2 support.
  * Add python3-babel to Build-Depends.

 -- Michael Fladischer <fladi@debian.org>  Fri, 19 Jul 2019 09:50:05 +0200

## djoser 2.0.3

=== requirements.txt ===
-e .
django-templated-mail==1.1.1
djangorestframework-simplejwt==4.3.0
djet==0.2.2
social-auth-app-django==3.1.0
coverage==4.5.3
coreapi

pytest==5.0.1
pytest-cov==2.7.1
pytest-django==3.5.1
pytest-pythonpath==0.7.3

=== debian/changelog ===
djoser (2.0.3-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Sat, 14 Sep 2019 09:49:55 +0200

=== debian/control ===
Source: djoser
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-babel,
 python3-django,
 python3-djangorestframework (>= 3),
 python3-pypandoc,
 python3-setuptools,
Standards-Version: 4.4.0
Homepage: https://github.com/sunscrapers/djoser
Vcs-Browser: https://salsa.debian.org/python-team/modules/djoser
Vcs-Git: https://salsa.debian.org/python-team/modules/djoser.git
Testsuite: autopkgtest-pkg-python

Package: python3-djoser
Architecture: all
Depends:
 python3-django,
 python3-djangorestframework (>= 3),
 ${misc:Depends},
 ${python3:Depends},
Description: REST implementation of Django authentication system (Python3 version)
 Djoser library provides a set of Django Rest Framework views to handle basic
 actions such as registration, login, logout, password reset and account
 activation. It works with custom user model.
 .
 Instead of reusing Django code (e.g. PasswordResetForm), it reimplementes a few
 things to fit better into a Single Page App architecture.
 .
 Supported authentication backends are:
  * HTTP Basic Auth (Default)
  * Token based authentication from Django Rest Framework
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 export PYBUILD_DISABLE=test
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild

## djoser 2.0.5

=== debian/changelog ===
djoser (2.0.5-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Michael Fladischer ]
  * New upstream release.
  * Set Rules-Requires-Root: no.
  * Bump debhelper version to 13.
  * Bump Standards-Version to 4.5.0.
  * Provide correct information in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Wed, 14 Oct 2020 18:30:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: djoser
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-babel,
@@ -13,11 +13,12 @@
  python3-djangorestframework (>= 3),
  python3-pypandoc,
  python3-setuptools,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/sunscrapers/djoser
-Vcs-Browser: https://salsa.debian.org/python-team/modules/djoser
-Vcs-Git: https://salsa.debian.org/python-team/modules/djoser.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/djoser
+Vcs-Git: https://salsa.debian.org/python-team/packages/djoser.git
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python3-djoser
 Architecture: all

## djoser 2.1.0

=== debian/changelog ===
djoser (2.1.0-1+deb12u1) bookworm; urgency=medium

  * Team upload.
  * Cherry-pick upstream commit fixing CVE-2024-21543
    (Closes: #1089915)

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 14 Feb 2025 22:07:53 +0100

djoser (2.1.0-1) unstable; urgency=low

  * New upstream release.
  * Add d/upstream/metadata.
  * Bump Standards-Version to 4.5.1.
  * Clean up egg-info files to allow two builds in a row.
  * Use uscan version 4.

 -- Michael Fladischer <fladi@debian.org>  Tue, 01 Dec 2020 11:56:38 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-djangorestframework (>= 3),
  python3-pypandoc,
  python3-setuptools,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/sunscrapers/djoser
 Vcs-Browser: https://salsa.debian.org/python-team/packages/djoser
 Vcs-Git: https://salsa.debian.org/python-team/packages/djoser.git

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/djoser/djoser-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## djoser 2.3.1

=== debian/changelog ===
djoser (2.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - CVE-2024-21543: Fix vulnerability where users were given tokens if the
      given password was correct, but they haven't passed Django internal
      AUTHENTICATION_BACKENDS (closes: #1089915).
  * Fix typo in package description.

 -- Colin Watson <cjwatson@debian.org>  Sun, 29 Dec 2024 23:58:20 +0000

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
  actions such as registration, login, logout, password reset and account
  activation. It works with custom user model.
  .
- Instead of reusing Django code (e.g. PasswordResetForm), it reimplementes a few
+ Instead of reusing Django code (e.g. PasswordResetForm), it reimplements a few
  things to fit better into a Single Page App architecture.
  .
  Supported authentication backends are:

## djoser 2.3.3

=== debian/changelog ===
djoser (2.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use dh-sequence-python3.

 -- Colin Watson <cjwatson@debian.org>  Tue, 12 Aug 2025 13:05:13 +0100

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,14 @@
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-babel,
  python3-django,
  python3-djangorestframework (>= 3),
+ python3-poetry-core,
  python3-pypandoc,
- python3-setuptools,
 Standards-Version: 4.5.1
 Homepage: https://github.com/sunscrapers/djoser
 Vcs-Browser: https://salsa.debian.org/python-team/packages/djoser

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 export PYBUILD_DISABLE=test
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
